Ads · Ad Rules
Returns an ad rule's runs, one page at a time.
https://api.pozy.ai/v1/ads/rules/{ruleId}/runsGuide: Automated ad rules
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
ruleIdrequired | string |
Query parameters
| Name | Type | Notes |
|---|---|---|
limit | integer | Default 201 to 100 |
skip | integer | Default 0At least 0 |
Example
curl -X GET "https://api.pozy.ai/v1/ads/rules/6cd4059483de62b474d02fe7/runs?limit=20" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/ads/rules/6cd4059483de62b474d02fe7/runs?limit=20", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/ads/rules/6cd4059483de62b474d02fe7/runs",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"limit": 20,
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
runsarray of objectrequired7 child fields
idstringrequiredranAtstring (date-time)requiredoutcomestringrequiredOne of
triggered,cooldown,no_match,failed.objectsEvaluatedintegerrequiredactedObjectIdsarray of stringrequiredevaluationobjectrequiredCan be null.
8 child fields
ruleobject6 child fields
namestringprofileIdstringaccountIdstringplatformstringplatformAdAccountIdstringlevelstringOne of
campaign,adset.
todaystring (date)timezonestringtimezoneAssumedbooleancurrencystringCan be null.
matchedarray of object5 child fields
idstringrequirednamestringrequiredcampaignIdstringrequiredCan be null.
matchedbooleanrequiredconditionsarray of objectrequired6 child fields
metricstringrequiredOne of
spend,impressions,clicks,conversions,ctr,cpc,cpm,cpa,roas,reach,frequency.windowstringrequiredOne of
today,yesterday,last_3d,last_7d,last_14d,last_30d.opstringrequiredOne of
>,>=,<,<=.valuenumberrequiredAt least 0.
actualnumberrequiredCan be null.
metbooleanrequired
actionsarray of object6 child fields
objectIdstringrequiredtypestringrequiredOne of
pause,activate,adjust_budget.statusstringrequiredOne of
done,skipped,failed.reasonstringpreviousDailyBudgetnumbernewDailyBudgetnumber
notificationobject2 child fields
statusstringrequiredOne of
done,failed.reasonstring
errorstringrequiredCan be null.
{
"runs": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"ranAt": "2026-10-02T09:00:00.000Z",
"outcome": "triggered",
"objectsEvaluated": 1,
"actedObjectIds": [
"string"
],
"evaluation": {
"rule": {
"name": "Acme",
"profileId": "6a0b6573846efc28aaa9a3ff",
"accountId": "696e0b682d0a31188e7a2ba9",
"platform": "instagram",
"platformAdAccountId": "673c621a82c88059710de3fd",
"level": "campaign"
},
"today": "2026-10-01",
"timezone": "America/New_York",
"timezoneAssumed": true,
"currency": "USD",
"matched": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"name": "Acme",
"campaignId": "65a3737dd8b11ea61f199e6e",
"matched": true,
"conditions": [
{}
]
}
],
"actions": [
{
"objectId": "6cd1b53a19a7e157d2d46b68",
"type": "pause",
"status": "done",
"reason": "string",
"previousDailyBudget": 12.5,
"newDailyBudget": 12.5
}
],
"notification": {
"status": "done",
"reason": "string"
}
},
"error": "string"
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.